Locations
GET
/api/v1/generic-api-service/content/location/find-by-paging
The location find by paging endpoint is used to see all locations list.
- cURL
- Request
- Response
- Response Details
- Errors
curl --location 'https://test-api.etscore.com/api/v1/generic-api-service/content/location/find-by-paging?page=0&size=1000' \
--header 'Authorization: Bearer <token>' \
--data ''
/// no request parameter required
{
"content": [
0: {
"name": {
"translations": {
"en": "Malatya",
"tr": "Malatya"
}
},
"id": 807
},
1: {
"name": {
"translations": {
"en": "Tunceli",
"tr": "Tunceli"
}
},
"id": 817
},
2: {
"name": {
"translations": {
"en": "Yumurtalık",
"tr": "Yumurtalık"
}
},
"id": 819
},
3: {
"name": {
"translations": {
"en": "Karaisalı",
"tr": "Karaisalı"
}
},
"id": 824
},
4: {
"name": {
"translations": {
"ru": "Тостат",
"en": "Tostat",
"tr": "Tostat"
}
},
"id": 174941
},
5: {
"name": {
"translations": {
"en": "Emirdağ",
"tr": "Emirdağ"
}
},
"id": 847
},
6: {
"name": {
"translations": {
"ru": "Альбас",
"en": "Albas",
"tr": "Albas"
}
},
"id": 173565
},
7: {
"name": {
"translations": {
"ru": "Аруппуккоттаи",
"en": "Aruppukkottai",
"tr": "Aruppukkottai"
}
},
"id": 142040
},
8: {
"name": {
"translations": {
"en": "Ağaçören",
"tr": "Ağaçören"
}
},
"id": 868
},
9: {
"name": {
"translations": {
"en": "Suluova",
"tr": "Suluova"
}
},
"id": 875
}
],
"number": 0,
"size": 10,
"totalElements": 324616,
"totalPages": 32462,
"numberOfElements": 10
}
| Name | Type | Required | Description |
|---|---|---|---|
| content | object-array | Yes | Object containing location name and id |
| content/name | object-array | Yes | Object containing location name |
| content/name/translations | object-array | Yes | Object where the translations of the location names are in |
| content/name/translations/en | string | No | English translation of location |
| content/name/translations/tr | string | No | Turkish translation of location |
| content/name/translations/ru | string | No | Russian translation of location |
| content/id | string | Yes | Location id |
| number | string | Yes | It is sent with a request and indicates which page results are displayed. |
| size | string | No | It is sent with a request and indicates how many locations are on a page. |
| totalElements | object-array | Yes | Total location count |
| totalPages | int | Yes | Indicates how many pages are shown according to the number of locations on the page. |
| numberOfElements | string | Yes | Information on how many locations are on a page |
Errors specific to this endpoint (1 codes). Gateway and authentication errors apply to every endpoint and are listed in the Error Codes reference.
Not foundThe referenced record (hotel, reservation, feed, search id, etc.) could not be found.
| Group | Code | Message | Description |
|---|---|---|---|
| Not found | 0904033 | Returned while resolving location or autocomplete data when the referenced record cannot be found. Verify the identifier you sent, or repeat the previous step to obtain a fresh one. |
Error groups
| Group | Meaning | Recommended action |
|---|---|---|
| Not found | Verify the identifier you sent, or repeat the previous step to obtain a fresh one. |